Skip to main content
PATCH
/
api
/
v2
/
platform
/
orders
/
{id}
/
apply_coupon_code
Apply Coupon Code for an Order
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({coupon_code: '<string>'})
};

fetch('http://{defaultHost}/api/v2/platform/orders/{id}/apply_coupon_code', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "error": "The access token is invalid"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
coupon_code
string

Response

coupon code applied